Package org.zkoss.stateless.sul

## Class IPopupBase.OpenOptionBuilder

- java.lang.Object
- - org.zkoss.stateless.sul.IPopupBase.OpenOptionBuilder

- All Implemented Interfaces:
    `JSONAware`
  Enclosing interface:
    IPopupBase<I extends IPopupBase>

      public static class IPopupBase.OpenOptionBuilder
      extends java.lang.Object
      implements JSONAware

  An OpenOption builder to add options for `IPopupBase.withOpen(OpenOptionBuilder)` to manipulate the open state programmatically.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OpenOptionBuilder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IPopupBase.OpenOptionBuilder` | `position​(IPopupBase.Position position)` | Specifies this popup open with the given position.
    `IPopupBase.OpenOptionBuilder` | `reference​(java.lang.String refId)` | Specifies the given reference component id to position the popup.
    `IPopupBase.OpenOptionBuilder` | `xy​(int x, int y)` | Specifies the x and y coordinates to open the popup at the client.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OpenOptionBuilder

          public OpenOptionBuilder()

  - ### Method Detail

    - #### xy

          public IPopupBase.OpenOptionBuilder xy​(int x,
                                                 int y)

      Specifies the x and y coordinates to open the popup at the client.
      Parameters:
        `x` - The x coordinate.
        `y` - The y coordinate.

    - #### reference

          public IPopupBase.OpenOptionBuilder reference​(java.lang.String refId)

      Specifies the given reference component id to position the popup.

      By default the position `IPopupBase.Position.AT_POINTER` is assumed.

      Parameters:
        `refId` - the reference component id.

    - #### position

          public IPopupBase.OpenOptionBuilder position​(IPopupBase.Position position)

      Specifies this popup open with the given position.
      Parameters:
        `position` - The allowed position `IPopupBase.Position`